# twitch-frontend
twitch-frontend is a privacy respecting frontend for [twitch.tv](https://twitch.tv/)

The main advantages of twitch-frontend are:
 - Private: Every request is proxied through the server, and no logs are kept.
 - Lightweight: Compared to twitch, twitch-frontend is optimized for speed and usability. Scraping is the only current speed issue, but improves with caching
 
 </br>

 # Okay, but why?
 It is impossible to use Twitch without being bombarded with tons of ads, multiple trackers, and enourmous page sizes and loading times. This project aims to fix these issues, by removing all trackers, have much smaller page sizes, and very fast loading times.
 
 # Features
 
 ### User features
 - [x] No connection to twitch/amazon
 - [x] Lightweight on server and client
 - [x] No Ads or tracking
 - [x] No outside connections, only connection is the instance
 - [x] Uses [Vue](https://vuejs.org/) for a speedy experience
 - [x] No identifiable logs are kept (see [logs](#so-what-is-logged))
 - [x] Much smaller pages compared to Twitch (<600kb compared to >8.2mb)
 - [x] Follow streamers locally to have a more personalized feel
 - [x] Infinite scrolling
 
 ### Technical features
 - [x] Public API
 - [x] No official APIs are used
 - [x] No rate lim
 - [x] Uses a custom Twitch webscraper

 
 
 ## So, what is logged?
 You may have caught the "No identifiable logs are kept",
 When the server encounters an error, a log is kept. The log only includes the error message, the time, and an id, which is also given to the user so the instance owner can investigate the issue. This is mainly only used for debugging, and can be disabled in the config.
